import request from '@/utils/request'

// 工程监理--项目月报列表
export function apiSupervisionProjectMonthlyReportLists(params: any) {
    return request.get({ url: '/supervision_connect.supervision_project_monthly_report/lists', params })
}

// 添加工程监理--项目月报
export function apiSupervisionProjectMonthlyReportAdd(params: any) {
    return request.post({ url: '/supervision_connect.supervision_project_monthly_report/add', params })
}

// 编辑工程监理--项目月报
export function apiSupervisionProjectMonthlyReportEdit(params: any) {
    return request.post({ url: '/supervision_connect.supervision_project_monthly_report/edit', params })
}

// 删除工程监理--项目月报
export function apiSupervisionProjectMonthlyReportDelete(params: any) {
    return request.post({ url: '/supervision_connect.supervision_project_monthly_report/delete', params })
}

// 工程监理--项目月报详情
export function apiSupervisionProjectMonthlyReportDetail(params: any) {
    return request.get({ url: '/supervision_connect.supervision_project_monthly_report/detail', params })
}